class OrientDb::Client
  @@client = nil

  def self.instance
    if !@@client.nil?
      return @@client
    end

    begin
      @@client = Orientdb4r.client :host => OrientDb::Config::host, :port => OrientDb::Config::port, :ssl => OrientDb::Config::ssl
      @@client.connect(database: OrientDb::Config::database, user: OrientDb::Config::user, password: OrientDb::Config::password)
    rescue Orientdb4r::UnauthorizedError => e
      raise 'Wrong orient db credentials'
    end
  end

end