module OrientDb
  class Migration

    def initialize(client)
      @client = client
    end

    def create_class(klass)
      unless @client.class_exists? klass
        @client.create_class(klass) do |c|
          if block_given?
            yield c
          end
        end
      end
    end
  end
end