class OrientDb::Migrations
  def initialize(client)
    @migrations = []
    @migrations << CreateCountry.new(client)
    @migrations << CreateHighlight.new(client)
    @migrations << CreateUniversity.new(client)
    @migrations << CreateUser.new(client)
  end

  def run
    @migrations.each { |m| m.up }
  end
end