require 'yaml'

orientdb_configs = YAML.load_file Rails.root.join('config').to_s.concat('/orientdb.yml')
env_config = orientdb_configs.fetch(Rails.env)

if Rails.env.production?
  OrientDb::Config.host = ENV['PORTALMEC_ORIENTDB_HOST']
  OrientDb::Config.database = ENV['PORTALMEC_ORIENTDB_DATABASE']
  OrientDb::Config.user = ENV['PORTALMEC_ORIENTDB_USERNAME']
  OrientDb::Config.password = ENV['PORTALMEC_ORIENTDB_PASSWD']
  OrientDb::Config.port = ENV['PORTALMEC_ORIENTDB_PORT']
else
  OrientDb::Config.host = env_config['host']
  OrientDb::Config.database = env_config['database']
  OrientDb::Config.user = env_config['username']
  OrientDb::Config.password = env_config['password']
end