Repository::Environments.create :development do |repository|
  repository.register :learning_object, OrientDb::LearningObjectRepository.new(OrientDb::Client.instance)
  repository.register :edge, OrientDb::EdgeRepository.new(OrientDb::Client.instance)
  repository.register :university, OrientDb::UniversityRepository.new(OrientDb::Client.instance)
  repository.register :highlight, OrientDb::HighlightRepository.new(OrientDb::Client.instance)
  repository.register :country, OrientDb::CountryRepository.new(OrientDb::Client.instance)
  repository.register :user, OrientDb::UserRepository.new(OrientDb::Client.instance)
end

Repository::Environments.create :test do |repository|
  repository.register :learning_object, OrientDb::LearningObjectRepository.new(OrientDb::Client.instance)
  repository.register :edge, OrientDb::EdgeRepository.new(OrientDb::Client.instance)
  repository.register :university, OrientDb::UniversityRepository.new(OrientDb::Client.instance)
  repository.register :highlight, OrientDb::HighlightRepository.new(OrientDb::Client.instance)
  repository.register :country, OrientDb::CountryRepository.new(OrientDb::Client.instance)
  repository.register :user, OrientDb::UserRepository.new(OrientDb::Client.instance)
end

Repository::Environments.create :production do |repository|
  repository.register :learning_object, OrientDb::LearningObjectRepository.new(OrientDb::Client.instance)
  repository.register :edge, OrientDb::EdgeRepository.new(OrientDb::Client.instance)
  repository.register :university, OrientDb::UniversityRepository.new(OrientDb::Client.instance)
  repository.register :highlight, OrientDb::HighlightRepository.new(OrientDb::Client.instance)
  repository.register :country, OrientDb::CountryRepository.new(OrientDb::Client.instance)
  repository.register :user, OrientDb::UserRepository.new(OrientDb::Client.instance)
end
