class Ranking::Strategy

  def initialize(positionWeight = nil, useWeight = nil, likeWeight = nil)
    @positionWeight = (positionWeight == nil ? 1000 : positionWeight)
    @useWeight = (useWeight == nil ? 3 : useWeight)
    @likeWeight = (likeWeight == nil ? 100 : likeWeight)
  end

  protected

  def build_rated_item(item, rate)
    Ranking::RatedItem.new(item, rate)
  end

end